Security update for rmt-server

SUSE Security Update: Security update for rmt-server
Announcement ID: SUSE-SU-2019:0272-1
Rating: moderate
References: #1102046 #1102193 #1109307 #1113760 #1113969 #1114831 #1117106 #1118579 #1118584
Cross-References: CVE-2018-14404 CVE-2018-16468 CVE-2018-16470
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15

An update that solves three vulnerabilities and has 6 fixes is now available.

Description:

This update for rmt-server to version 1.1.1 fixes the following issues:
The following issues have been fixed:

  • Fixed migration problems which caused some extensions / modules to be dropped (bsc#1118584, bsc#1118579)
  • Fixed listing of mirrored products (bsc#1102193)
  • Include online migration paths into offline migration (bsc#1117106)
  • Sync products that do not have a base product (bsc#1109307)
  • Fixed SLP auto discovery for RMT (bsc#1113760)

Update dependencies for security fixes:
  • CVE-2018-16468: Update loofah to 2.2.3 (bsc#1113969)
  • CVE-2018-16470: Update rack to 2.0.6 (bsc#1114831)
  • CVE-2018-14404: Update nokogiri to 1.8.5 (bsc#1102046)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2019-272=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15 (aarch64 ppc64le s390x x86_64):
    • rmt-server-1.1.1-3.13.1
    • rmt-server-debuginfo-1.1.1-3.13.1

References: